Why isn't my HI-92000 software working?

The current version of this software is Version 5.0. At this time the software is only compatible with PCs using Windows XP and older and is not Mac compatible. If you have an older version of the HI-92000 software then it may not be compatible with more recent Windows editions. 

The current version of this software is Version 5.0. At this time the software is only compatible with PCs using Windows XP and older and is not Mac compatible. If you have an older version of... read more »
Close window
Why isn't my HI-92000 software working?

The current version of this software is Version 5.0. At this time the software is only compatible with PCs using Windows XP and older and is not Mac compatible. If you have an older version of the HI-92000 software then it may not be compatible with more recent Windows editions. 

No results were found for the filter!
Viewed